#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var mri_1 = __importDefault(require("mri"));
var path_1 = require("path");
var logging_1 = require("./helpers/logging");
var filesystem_1 = require("./helpers/filesystem");
var helpers_1 = require("./helpers");
var init_1 = require("./init");
var argv = process.argv.slice(2);
var args = mri_1.default(argv, {
    alias: {
        h: 'help',
    },
});
var mainArg = args['_'][0] || '';
var nameArg;
var baseDir = process.cwd();
var newDir = true;
if (mainArg === '.' || mainArg === './' || mainArg === '') {
    baseDir = path_1.resolve('./');
    nameArg = helpers_1.createPackageName(path_1.basename('./'));
    newDir = false;
}
else if (filesystem_1.isDirectory(mainArg)) {
    nameArg = helpers_1.createPackageName(path_1.basename(mainArg));
    baseDir = path_1.resolve(mainArg);
    newDir = false;
}
else {
    nameArg = args['_'].join('-');
    nameArg = helpers_1.createPackageName(nameArg);
}
if (!nameArg || nameArg.length === 0) {
    logging_1.error('You need to specify a valid package name');
    process.exit(9);
}
logging_1.info("Creating a new svelte app with name " + nameArg);
init_1.initNewApp(args, nameArg, { baseDir: baseDir, newDir: newDir });
//# sourceMappingURL=index.js.map